Query the list of repositories that have access to a specified Runner Group
GET/api/v8/orgs/:org/actions/runner-groups/:runner_group_id/shared-namespaces
Request
Path Parameters
org stringrequired
Organization path
runner_group_id stringrequired
Query Parameters
access_token stringrequired
keyword string
Keyword Filter
page integer
Current page number
Example: 1
per_page integer
Number of items per page
Example: 10
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
total_countinteger
Total number of accessible repositories
shared_namespaces object[]
List of repositories with access rights
idstring
Share Record ID
runner_group_idstring
Runner Group ID
from_namespace_idstring
Source Namespace ID
to_namespace_idstring
Target Namespace ID
typestring
Type
create_timeinteger
creation time
update_timeinteger
Update time
namespace_idstring
Namespace ID
namestring
Name
pathstring
Path
visibilitystring
Visibility, "private", "public", "internal"
path_with_namespacestring
Please translate the following content into English in a professional manner, keeping the format unchanged. If the content is empty, do not translate it. Do not output anything else or any prompts!! Full path
{
"total_count": 0,
"shared_namespaces": [
{
"id": "string",
"runner_group_id": "string",
"from_namespace_id": "string",
"to_namespace_id": "string",
"type": "string",
"create_time": 0,
"update_time": 0,
"namespace_id": "string",
"name": "string",
"path": "string",
"visibility": "string",
"path_with_namespace": "string"
}
]
}